GET /v24.0/{page-call-to-action-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{page-call-to-action-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{page-call-to-action-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{page-call-to-action-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{page-call-to-action-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Type | Description |
|---|---|
Your app must be be approved for the following login permissions and features. | |
A User access token for a User who has a role on the Page | |
None |
| Field | Description |
|---|---|
idnumeric string | ID of the call-to-action |
android_app | App that stores the destination info on Android |
android_deeplinkstring | Destination deeplink for the call-to-action on Android |
android_destination_typeenum | Destination type for the call-to-action on Android |
android_package_namestring | Destination app for the call-to-action on Android |
android_urlstring | Destination url for the call-to-action on Android |
created_timedatetime | Time when the call-to-action was created |
email_addressstring | Email address that can be contacted by a user |
from | Page that owns the call-to-action |
intl_number_with_plusstring | International phone number with plus that can be called by a phone |
iphone_app | App that stores the destination info on iPhone |
iphone_deeplinkstring | Destination deeplink for the call-to-action on iPhone |
iphone_destination_typeenum | Destination type for the call-to-action on iPhone |
iphone_urlstring | Destination url for the call-to-action on iPhone |
statusenum | Current running status of this action |
typeenum | The type of action |
updated_timedatetime | Time when the call-to-action was last updated |
web_destination_typeenum | Destination type for the call-to-action on desktop |
web_urlstring | Destination url for the call-to-action on desktop |
| Error | Description |
|---|---|
| 104 | Incorrect signature |
| 100 | Invalid parameter |
This endpoint is deprecated and can no longer be used.
/{page_call_to_action_id}.| Type | Description |
|---|---|
Your app must be be approved for the following login permissions and features. | |
A Page access token for an admin of the Page | |
| Parameter | Description |
|---|---|
android_app_idint | ID of the App that stores the destination info on Android |
android_destination_typeenum {WEBSITE, APP_DEEPLINK, FACEBOOK_APP, PHONE_CALL, MESSENGER, EMAIL, SHOP_ON_FACEBOOK, NONE, BECOME_A_VOLUNTEER, FOLLOW, MINI_SHOP, MARKETPLACE_INVENTORY_PAGE, MOBILE_CENTER, MENU_ON_FACEBOOK} | Destination type for the call-to-action on Android |
android_package_namestring | Destination app for the call-to-action on Android |
android_urlURL | Destination url for the call-to-action on Android |
email_addressstring | Email address that can be contacted by a user |
intl_number_with_plusstring | International phone number with plus that can be called through a phone |
iphone_app_idint | ID fo the App that stores the destination info on iPhone |
iphone_destination_typeenum {WEBSITE, APP_DEEPLINK, FACEBOOK_APP, PHONE_CALL, MESSENGER, EMAIL, SHOP_ON_FACEBOOK, NONE, BECOME_A_VOLUNTEER, FOLLOW, MINI_SHOP, MARKETPLACE_INVENTORY_PAGE, MENU_ON_FACEBOOK} | Destination type for the call-to-action on iPhone |
iphone_urlURL | Destination url for the call-to-action on iPhone |
typeenum {BOOK_NOW, REQUEST_QUOTE, CALL_NOW, CHARITY_DONATE, CONTACT_US, DONATE_NOW, MESSAGE, OPEN_APP, PLAY_NOW, SHOP_NOW, SIGN_UP, WATCH_NOW, GET_OFFER, GET_OFFER_VIEW, BOOK_APPOINTMENT, LISTEN, EMAIL, LEARN_MORE, REQUEST_APPOINTMENT, GET_DIRECTIONS, BUY_TICKETS, PLAY_MUSIC, VISIT_GROUP, SHOP_ON_FACEBOOK, LOCAL_DEV_PLATFORM, INTERESTED, WOODHENGE_SUPPORT, BECOME_A_VOLUNTEER, VIEW_SHOP, PURCHASE_GIFT_CARDS, FOLLOW_PAGE, ORDER_FOOD, VIEW_INVENTORY, MOBILE_CENTER, VIEW_MENU, CHECK_IN, CREATOR_STOREFRONT} | The type of action |
web_destination_typeenum {EMAIL, MESSENGER, NONE, WEBSITE, SHOP_ON_FACEBOOK, BECOME_SUPPORTER, BECOME_A_VOLUNTEER, FOLLOW, MOBILE_CENTER} | Destination type for the call-to-action on desktop |
web_urlURL | Destination url for the call-to-action on desktop |
success: bool, | Error | Description |
|---|---|
| 200 | Permissions error |
/{page_call_to_action_id}.| Type | Description |
|---|---|
Your app must be be approved for the following login permissions and features. | |
A Page access token for an admin of the Page | |
success: bool, | Error | Description |
|---|---|
| 200 | Permissions error |